/*
 *  Forger
 *  An init for forcing AOCE digital signitures to always suceed or fail.
 *
 *  Copyright  1993 by David Shayer.  All rights reserved.
 *
 *  File: Control.h
 */


/***************************** Constants *******************************/

#define _DigitalSignature	0xAA5D

#define	kControlAddr		0xABCDEF00


/***************************** Resources *******************************/

#define rColorAbout		130
#define	rBWAbout		131

#define	rMainDlog		129
#define	rBWMainDlog		132
#define	rOn				2
#define	rOff			3
#define	rAlways			4
#define	rNever			5
#define	rRect1			8
#define	rRect2			10
#define	rAbout			11
#define	rQuit			12

/***************************** Data Structures *******************************/

typedef struct
{
	long		TrapAddr;
	short		On;
	short		Succeed;
	long		Store;
} DataRec, *DataRecPtr;

/***************************** Prototypes *******************************/

void main (void);
void Init (void);
void CheckOCE (void);
void HandleDialog (void);
void AboutBox (void);
DataRecPtr GetDataAddr (void);
pascal void DrawRect (WindowPtr WindPtr, short ItemNo);






