/*
 *  Forger
 *  An init for forcing AOCE digital signitures to always suceed or fail.
 *
 *  Copyright  1993 by David Shayer.  All rights reserved.
 *
 *  File: Forger.h
 */


/***************************** Constants *******************************/

#define _DigitalSignature	0xAA5D
#define kSIGVerify			0x00020771
#define kSIGShowSigner		0x00040775

#define kSigVerifyError		0xF860
#define kSigSignError		0xF862

#define	kControlAddr		0xABCDEF00

#define CPUFlag				(*(char*)0x12F)

/***************************** Data Structures *******************************/

typedef struct
{
	long		TrapAddr;
	short		On;
	short		Succeed;
	long		Store;
} DataRec, *DataRecPtr;

/***************************** Prototypes *******************************/

void main (void);
void InstallPatch (void);
void SetAddr (long OrigDigSigAddr);
DataRecPtr GetDataAddr (void);
void DigitalSignaturePatch (void);
void FakeSuccees (void);






